Package com.sas.metadata.remote

# Interface DeployedDataPackage

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `AnalyticContext`, `ArchiveEntry`, `ArchiveFile`, `COMConnection`, `Connection`, `ContentLocation`, `DatabaseCatalog`, `DatabaseSchema`, `DataSourceName`, `Device`, `Directory`, `Document`, `Email`, `File`, `Memory`, `OLAPSchema`, `OpenClientConnection`, `RelationalSchema`, `SASCatalog`, `SASCatalogEntry`, `SASClientConnection`, `SASFileRef`, `SASLibrary`, `SecuredLibrary`, `Stream`, `TCPIPConnection`, `Text`, `TextStore`

public interface DeployedDataPackage extends PrimaryType
A container of data files (files that contain data) or other Deployed Data Packages. This type has associations with DeployedComponents that can access the package. This type could be a directory, a database catalog or schema or a SAS library.

Database schemas and catalogs should be associated with the DBMS that provides access to those packages.

Attributes of DeployedDataPackage are:

Associations of DeployedDataPackage are:

- `Aliases`
- `DeployedComponents`
- `UsedByPackages`
- `AliasFor`
- `TableCollections`
- `UsingPackages`

## Usage

To create an instance of this DeployedDataPackage, use the `factory` create methods.
Example: create a DeployedDataPackage with name "DeployedDataPackage_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     DeployedDataPackage myObject = (DeployedDataPackage) factory.createComplexMetadataObject(objectStore, "DeployedDataPackage_Object", MetadataObjects.DEPLOYEDDATAPACKAGE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ALIASES_NAME`
  Constant used for the name of the Aliases association.
  `static final String`
  `ASSOCIATION_ALIASFOR_NAME`
  Constant used for the name of the AliasFor association.
  `static final String`
  `ASSOCIATION_DEPLOYEDCOMPONENTS_NAME`
  Constant used for the name of the DeployedComponents association.
  `static final String`
  `ASSOCIATION_TABLECOLLECTIONS_NAME`
  Constant used for the name of the TableCollections association.
  `static final String`
  `ASSOCIATION_USEDBYPACKAGES_NAME`
  Constant used for the name of the UsedByPackages association.
  `static final String`
  `ASSOCIATION_USINGPACKAGES_NAME`
  Constant used for the name of the UsingPackages association.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getAliases()`
  Gets the AssociationList of `Aliases`
  `AssociationList`
  `getAliases(boolean fGoToServer)`
  Gets the Associationlist of `Aliases`
  `DeployedDataPackage`
  `getAliasFor()`
  Gets the `DeployedDataPackage` for `AliasFor`
  `AssociationList`
  `getAliasFors()`
  Gets the Association list of `AliasFors`
  `AssociationList`
  `getAliasFors(boolean fGoToServer)`
  Gets the Associationlist of `AliasFors`
  `AssociationList`
  `getDeployedComponents()`
  Gets the AssociationList of `DeployedComponents`
  `AssociationList`
  `getDeployedComponents(boolean fGoToServer)`
  Gets the Associationlist of `DeployedComponents`
  `AssociationList`
  `getTableCollections()`
  Gets the Association list of `TableCollections`
  `AssociationList`
  `getTableCollections(boolean fGoToServer)`
  Gets the Associationlist of `TableCollections`
  `AssociationList`
  `getUsedByPackages()`
  Gets the AssociationList of `UsedByPackages`
  `AssociationList`
  `getUsedByPackages(boolean fGoToServer)`
  Gets the Associationlist of `UsedByPackages`
  `AssociationList`
  `getUsingPackages()`
  Gets the Association list of `UsingPackages`
  `AssociationList`
  `getUsingPackages(boolean fGoToServer)`
  Gets the Associationlist of `UsingPackages`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `Aliases`
  `DeployedComponents`
  `UsedByPackages`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAliases(AssociationList list)`
  Sets the `Aliases` list to be `list`.
  `void`
  `setAliases(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setAliasFor(DeployedDataPackage inObject)`
  Sets the `AliasFors` list 0th element to be `inObject`.
  `void`
  `setAliasFors(AssociationList list)`
  Sets the `AliasFors` list to be `list`.
  `void`
  `setAliasFors(AssociationList list, int state)`
  Sets the `AliasFors` list to be `list`.
  `void`
  `setDeployedComponents(AssociationList list)`
  Sets the `DeployedComponents` list to be `list`.
  `void`
  `setDeployedComponents(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setTableCollections(AssociationList list)`
  Sets the `TableCollections` list to be `list`.
  `void`
  `setTableCollections(AssociationList inObjects, int state)`
  Sets the entire TableCollections list to match the passed in AssociationList, sets the state of the TableCollections
  `void`
  `setUsedByPackages(AssociationList list)`
  Sets the `UsedByPackages` list to be `list`.
  `void`
  `setUsedByPackages(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setUsingPackages(AssociationList list)`
  Sets the `UsingPackages` list to be `list`.
  `void`
  `setUsingPackages(AssociationList inObjects, int state)`
  Sets the entire UsingPackages list to match the passed in AssociationList, sets the state of the UsingPackages

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ASSOCIATION_ALIASES_NAME

    static final String ASSOCIATION_ALIASES_NAME
    Constant used for the name of the Aliases association.

    Aliases: The list of deployed data packages that are an alias for this package. For example, directory c:\mystuff may have an alias that is \\mycomputer\mystuff. Tables will be associated only with non-alias deployed data packages.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_DEPLOYEDCOMPONENTS_NAME

    static final String ASSOCIATION_DEPLOYEDCOMPONENTS_NAME
    Constant used for the name of the DeployedComponents association.

    DeployedComponents: The list of deployed components that can access this data package.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_USEDBYPACKAGES_NAME

    static final String ASSOCIATION_USEDBYPACKAGES_NAME
    Constant used for the name of the UsedByPackages association.

    UsedByPackages: The list of deployed data packages that use this data package. For example, a SAS library named A may be comprised of libraries B and C. Library A would be in the UsedPackageList for library B and library C.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ALIASFOR_NAME

    static final String ASSOCIATION_ALIASFOR_NAME
    Constant used for the name of the AliasFor association.

    AliasFor: The deployed data package that this object is an alias for.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TABLECOLLECTIONS_NAME

    static final String ASSOCIATION_TABLECOLLECTIONS_NAME
    Constant used for the name of the TableCollections association.

    TableCollections: The table collections that use this location.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_USINGPACKAGES_NAME

    static final String ASSOCIATION_USINGPACKAGES_NAME
    Constant used for the name of the UsingPackages association.

    UsingPackages: The list of deployed data packages that comprise this data package. If a SAS library named A uses library B and C, then B and C will be in the UsingPackageList for A.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `Aliases`
    `DeployedComponents`
    `UsedByPackages`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAliases

    AssociationList getAliases() throws RemoteException, MdException
    Gets the AssociationList of `Aliases`
    Returns:
      Returns the AssociationList of `Aliases` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getDeployedComponents

    AssociationList getDeployedComponents() throws RemoteException, MdException
    Gets the AssociationList of `DeployedComponents`
    Returns:
      Returns the AssociationList of `DeployedComponents` which can be of type:
      DeployedComponent
      ConfiguredComponent
      ServiceComponent
      ServerComponent
      LogicalServer
      ServerContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUsedByPackages

    AssociationList getUsedByPackages() throws RemoteException, MdException
    Gets the AssociationList of `UsedByPackages`
    Returns:
      Returns the AssociationList of `UsedByPackages` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAliasFors

    AssociationList getAliasFors() throws RemoteException, MdException
    Gets the Association list of `AliasFors`
    Returns:
      The AssociationList of `AliasFors` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAliasFor

    DeployedDataPackage getAliasFor() throws RemoteException, MdException
    Gets the `DeployedDataPackage` for `AliasFor`
    Returns:
      The `DeployedDataPackage` ( `null` if not set ) of `AliasFor` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTableCollections

    AssociationList getTableCollections() throws RemoteException, MdException
    Gets the Association list of `TableCollections`
    Returns:
      The AssociationList of `TableCollections` which can be of type:
      TableCollection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUsingPackages

    AssociationList getUsingPackages() throws RemoteException, MdException
    Gets the Association list of `UsingPackages`
    Returns:
      The AssociationList of `UsingPackages` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAliases

    AssociationList getAliases(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Aliases`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `Aliases` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getDeployedComponents

    AssociationList getDeployedComponents(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `DeployedComponents`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `DeployedComponents` which can be of type:
      DeployedComponent
      ConfiguredComponent
      ServiceComponent
      ServerComponent
      LogicalServer
      ServerContext
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUsedByPackages

    AssociationList getUsedByPackages(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `UsedByPackages`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `UsedByPackages` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAliasFors

    AssociationList getAliasFors(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AliasFors`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AliasFors` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTableCollections

    AssociationList getTableCollections(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `TableCollections`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `TableCollections` which can be of type:
      TableCollection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUsingPackages

    AssociationList getUsingPackages(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `UsingPackages`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `UsingPackages` which can be of type:
      DeployedDataPackage
      OLAPSchema
      DatabaseCatalog
      SASCatalog
      RelationalSchema
      DatabaseSchema
      DataSourceName
      SASLibrary
      SecuredLibrary
      ContentLocation
      Text
      TextStore
      SASCatalogEntry
      File
      ArchiveFile
      ArchiveEntry
      Document
      Directory
      AnalyticContext
      Device
      Stream
      Memory
      Connection
      SASClientConnection
      OpenClientConnection
      TCPIPConnection
      COMConnection
      Email
      SASFileRef
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setAliases

    void setAliases(AssociationList list) throws RemoteException
    Sets the `Aliases` list to be `list`. Objects of which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAliases

    void setAliases(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeployedComponents

    void setDeployedComponents(AssociationList list) throws RemoteException
    Sets the `DeployedComponents` list to be `list`. Objects of which can be of type:
    DeployedComponent
    ConfiguredComponent
    ServiceComponent
    ServerComponent
    LogicalServer
    ServerContext
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDeployedComponents

    void setDeployedComponents(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUsedByPackages

    void setUsedByPackages(AssociationList list) throws RemoteException
    Sets the `UsedByPackages` list to be `list`. Objects of which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUsedByPackages

    void setUsedByPackages(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAliasFors

    void setAliasFors(AssociationList list) throws RemoteException
    Sets the `AliasFors` list to be `list`. Objects of which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAliasFors

    void setAliasFors(AssociationList list, int state) throws RemoteException
    Sets the `AliasFors` list to be `list`. Objects of which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAliasFor

    void setAliasFor(DeployedDataPackage inObject) throws RemoteException
    Sets the `AliasFors` list 0th element to be `inObject`.
    Parameters:
      `inObject` - DeployedDataPackage
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTableCollections

    void setTableCollections(AssociationList list) throws RemoteException
    Sets the `TableCollections` list to be `list`. Objects of which can be of type:
    TableCollection
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTableCollections

    void setTableCollections(AssociationList inObjects, int state) throws RemoteException
    Sets the entire TableCollections list to match the passed in AssociationList, sets the state of the TableCollections
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUsingPackages

    void setUsingPackages(AssociationList list) throws RemoteException
    Sets the `UsingPackages` list to be `list`. Objects of which can be of type:
    DeployedDataPackage
    OLAPSchema
    DatabaseCatalog
    SASCatalog
    RelationalSchema
    DatabaseSchema
    DataSourceName
    SASLibrary
    SecuredLibrary
    ContentLocation
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
    Directory
    AnalyticContext
    Device
    Stream
    Memory
    Connection
    SASClientConnection
    OpenClientConnection
    TCPIPConnection
    COMConnection
    Email
    SASFileRef
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUsingPackages

    void setUsingPackages(AssociationList inObjects, int state) throws RemoteException
    Sets the entire UsingPackages list to match the passed in AssociationList, sets the state of the UsingPackages
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.